500 Internal Server Error & Some Plugins Not Working



When I upgraded the Wordpress to 2.9.2 and enabled the Akismet plugin, I got 500 Internal Server Error. The reason is some Wordpress 2.9.2 and some plugins need PHP 5. So, I solved the problem by adding Type and Handler for PHP 5 in the .htaccess file at the Wordpress Root Directory.

My .htaccess file looks as following:

AddType x-mapp-php5 .php
AddHandler x-mapp-php5 .php

# BEGIN WordPress

RewriteEngine On
RewriteBase /
RewriteCond %{REQUEST_FILENAME} !-f
RewriteCond %{REQUEST_FILENAME} !-d
RewriteRule . /index.php [L]

# END WordPress

标签: none

仅有一条评论

  1. Remarkable! Its genuinely awesome article, I have got much
    clear idea regarding from this article.

添加新评论